| Home | Libraries | People | FAQ | More

## Function template const_cast_

boost::xpressive::const_cast_ — `dynamic_cast_` is a lazy funtion for const-casting a parameter to a different type.

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    template<typename T, typename A> unspecified const_cast_(A const & a);

## Description

Parameters:

`a` | The lazy value to const-cast.

Template Parameters:

`T` | The type to which to const-cast the parameter.

Returns: | A lazy object that, when evaluated, const-casts its argument to the desired type.